Google Web Toolkit
Search Google Code:

# Class Element

public final class Element
extends JavaScriptObject
An opaque handle to a native DOM Element. An `Element` cannot be created directly. Instead, use the `Element` type when returning a native DOM element from JSNI methods. An `Element` passed back into JSNI becomes the original DOM element the `Element` was created from, and can be accessed in JavaScript code as expected. This is typically done by calling methods in the DOM class.

## Constructors

Element() | Not directly instantiable.

## Methods

equals(Object) |
hashCode() |
toString() |

## Constructor Detail

### Element

protected Element()
Not directly instantiable. Subclasses should also define a protected no-arg constructor to prevent client code from directly instantiating the class.

## Method Detail

### equals

public boolean equals(Object other)

#### Parameters

other

### hashCode

public int hashCode()

### toString

public String toString()